package cn.estsh.i3plus.pojo.platform.sqlpack;

import cn.estsh.i3plus.pojo.base.tool.HqlPack;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleLanguage;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleResource;

/**
 * @Description : 平台对象封装
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-23 21:15
 * @Modify:
 **/
public class CoreHqlPack {

    /**
     * 资源查询
     * @param sysLocaleResource
     * @return
     */
    public static String packHqlSysLocaleResource(SysLocaleResource sysLocaleResource){
        StringBuffer result = new StringBuffer();

        //查询日期
        HqlPack.timeBuilder(sysLocaleResource.getCreateDateTimeStart(),sysLocaleResource.getCreateDateTimeEnd(),
                "createDateTime", result, false);
        //数字类型封装
        HqlPack.getNumEqualPack(sysLocaleResource.getResourceType(),"resourceType",result);
        //字符串类型封装
        HqlPack.getStringEqualPack(sysLocaleResource.getLanguageCode(),"languageCode",result);

        return result.toString();
    }

    /**
     * 语言
     * @param lang
     * @return
     */
    public static String packHqlSysLocaleLanguage(SysLocaleLanguage lang) {
        StringBuffer result = new StringBuffer();

        //查询日期
        HqlPack.timeBuilder(lang.getCreateDateTimeStart(),lang.getCreateDateTimeEnd(),
                "createDateTime", result, false);
        //数字类型封装
        HqlPack.getNumEqualPack(lang.getLanguageCode(),"languageCode",result);
        //字符串类型封装
        HqlPack.getStringEqualPack(lang.getLanguageName(),"languageName",result);

        return result.toString();
    }
}
